//: /be/optiloading/AboutBox.java
/*
 * This work is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This work is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2007 Tim Pintens. All rights reserved.
 */

package be.optiloading;

import javax.swing.*;
import javax.swing.text.*;
import javax.swing.border.*;
import java.awt.*;

/** 
 * AboutBox class which creates an about box containg author information.
 * @author Tim Pintens, info@optiloading.be
 * @author <a target="_blank" href="http://www.optiloading.be">www.optiloading.be</a>
 */

public class AboutBox extends JFrame {
	
	public AboutBox(){
		JPanel panel = new JPanel();
		panel.setLayout(new BorderLayout());
		
		// Image
		java.net.URL imageURL = this.getClass().getResource("/images/about.jpg");
		ImageIcon about = new ImageIcon(imageURL);
		JLabel image = new JLabel(about);
		
		// Title
		JLabel title = new JLabel("OptiLoading");
		title.setFont(new Font("Lucida Grande",Font.PLAIN,20));
		
		//version
		JLabel version = new JLabel("beta version 0.2.0");
		version.setFont(new Font("Lucida Grande",Font.PLAIN,12));
		
		// Author
		JLabel author = new JLabel("Tim Pintens");
		author.setFont(new Font("Lucida Grande",Font.PLAIN,16));
		
		//Title + Version + Auhor
		JPanel labelpanel = new JPanel();
		labelpanel.setLayout(new BoxLayout(labelpanel, BoxLayout.Y_AXIS));
		labelpanel.setBorder(new EmptyBorder(10,90,10,5));
		labelpanel.add(title);
		labelpanel.add(version);
		labelpanel.add(author);
		
		//License
		String licensedoc = new String("This work is free software; you can redistribute it and/or \nmodify it under the terms of the GNU General Public License \nas published by the Free Software Foundation; either version 2 \nof the License, or (at your option) any later version.\n\nThis work is distributed in the hope that it will be useful, \nbut WITHOUT ANY WARRANTY; without even the implied \n warranty of MERCHANTABILITY or FITNESS FOR A \nPARTICULAR PURPOSE. See the GNU General Public License \nfor more details.");
		JTextArea license = new JTextArea(licensedoc);
		license.setFont(new Font("Dialog",Font.PLAIN,9));
		license.setEditable(false);
		JScrollPane scroll = new JScrollPane(license);
		scroll.setPreferredSize(new Dimension(160,125));
		
		// Add to main panel
		panel.add(BorderLayout.NORTH,image);
		panel.add(BorderLayout.CENTER,labelpanel);
		panel.add(BorderLayout.SOUTH, scroll);
		
		setTitle("About");
		getContentPane().add(panel);
		setResizable(false);
		pack();
		setLocationRelativeTo(null);
		setVisible(true);
	}
}