//: be/optiloading/Main.java
/*
 * This work is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This work is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2007 Tim Pintens. All rights reserved.
 */

package be.optiloading;

/** 
 * Controller class used to load the Ship and Gui object
 * @author Tim Pintens, info@optiloading.be
 * @author <a target="_blank" href="http://www.optiloading.be">http://www.optiloading.be</a>
 */

public class Main {
	private static Ship usedShip;
	private static Gui optiloading;
	
	/**
	 * Sole entry point to the class and application.
	 * @param args Array of String arguments.
	 * @exception java.lang.InterruptedException
	 *            Thrown from the Thread class (main thread).
	 */
	public static void main(String[] args) {
		// Get an instance of the Ship class
		// This is the first time the getInstance() method is called so a new Ship object will be created
		usedShip = Ship.getInstance();
		
		// Get an instance of the Gui class
		// This is the first time the getInstance() method is called so a new Gui object will be created
		optiloading = Gui.getInstance();
		
		// Add information to log
		optiloading.addLog("Gui and ship loaded");
		optiloading.addLogSeparator();
	}
}